
Foreman - Bug #30038

Pagination string unlocalized, strings at Monitor -> Tasks page need to be marked as translatable

strings.

06/06/2020 04:45 PM - vijaykumar sawant

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Internationalization   

Target version:    

Difficulty:  Fixed in Releases: 2.5.0

Triaged: Yes Found in Releases: 2.1.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Description of problem: String at pagination part of page are un-localized, need to be marked as translated.

Version-Release number of selected component (if applicable): Version 2.1.0-develop

How reproducible: Always

Steps to Reproduce:

1. Login to Foreman 2.1 instance with Japanese language.

2. Navigate to Monitor -> Tasks.

3. Scroll at bottom of page.

Actual results: Few string are un-localized.

Expected results: All string at pagination section need to be marked as translated.

Additional info: This issue has been observed at various page, look at quotes/comments below for same issue location.

Please see attached screenshot.

History

#1 - 06/06/2020 04:56 PM - vijaykumar sawant

- File I18Ni18n-14270 - Content - Subscriptions_TS1-Unlocalized-strings.png added

vijaykumar sawant wrote:

Description of problem: String at pagination part of page are un-localized, need to be marked as translated.

Version-Release number of selected component (if applicable): Version 2.1.0-develop

How reproducible: Always

Steps to Reproduce:

1. Login to Foreman 2.1 instance with Japanese language.

2. Navigate to Monitor -> Tasks.

3. Scroll at bottom of page.

Actual results: Few string are un-localized.

Expected results: All string at pagination section need to be marked as translated.

Additional info: This issue has been observed at various page, look at quotes/comments below for same issue location.

Please see attached screenshot.

 Quote-1: Same issue has been found at Contents -> Subscription page.
#2 - 06/07/2020 08:34 AM - Tomer Brisker

- Priority changed from High to Normal

#3 - 06/09/2020 11:42 AM - vijaykumar sawant

- Found in Releases 2.1.0 added

- Found in Releases deleted (Nightly)

#4 - 04/29/2021 06:05 PM - Amit Upadhye

vijaykumar sawant wrote:

Description of problem: String at pagination part of page are un-localized, need to be marked as translated.

Version-Release number of selected component (if applicable): Version 2.1.0-develop

How reproducible: Always

Steps to Reproduce:

1. Login to Foreman 2.1 instance with Japanese language.

2. Navigate to Monitor -> Tasks.

3. Scroll at bottom of page.

Actual results: Few string are un-localized.

Expected results: All string at pagination section need to be marked as translated.

Additional info: This issue has been observed at various page, look at quotes/comments below for same issue location.

Please see attached screenshot.

 The 'Per Page' has been translated on 2.5-develop!

#5 - 05/27/2021 10:13 AM - vijaykumar sawant

- Status changed from New to Resolved

- Triaged changed from No to Yes

- Fixed in Releases 2.5.0 added

UI has changed in 2.5.0 So issue is not seen, Not applicable, closing this bug.

Files

I18Ni18n-14268 - Monitor - Tasks-Pagination-string-is-unlocalized.png 325 KB 06/06/2020 vijaykumar sawant

I18Ni18n-14270 - Content - Subscriptions_TS1-Unlocalized-strings.png123 KB 06/06/2020 vijaykumar sawant
